summaryrefslogtreecommitdiffstats
path: root/bin/ebuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 2dfe9e4a8..c1b9bebca 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -25,7 +25,7 @@ declare -rx EBUILD_PHASE
qa_source() {
local shopts=$(shopt) OLDIFS="$IFS"
- source "$@"
+ source "$@" || return 1
[[ $shopts != $(shopt) ]] &&
vecho "QA Notice: Global shell options were changed and not restored while sourcing $1"
[[ "$IFS" != "$OLDIFS" ]] &&
@@ -35,7 +35,7 @@ qa_source() {
qa_call() {
local shopts=$(shopt) OLDIFS="$IFS"
- "$@"
+ "$@" || return 1
[[ $shopts != $(shopt) ]] &&
vecho "QA Notice: Global shell options were changed while calling $1"
[[ "$IFS" != "$OLDIFS" ]] &&